Temp Projects - Tasks #10446

Error occurring while trying to do manual customer shipment
05/04/2023 07:48 PM - Mithun Hariharan

Status: Closed Start date: 05/04/2023
Priority: High Due date:

Assignee: Dev User % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Inside TEP.java Rollback...Posibolt507_1683209507598
java.lang.NullPointerException

May 04, 2023 6:11:47 PM org.compiere.util.Msg translate
WARNING: NOT found: Consignment Reports

May 04, 2023 6:11:47 PM org.compiere.util.Msg translate
WARNING: NOT found: Manual Picklist

May 04, 2023 6:11:47 PM org.compiere.util. Msg translate
WARNING: NOT found: Vendor Shipment CSV Report
May 04, 2023 6:11:47 PM org.compiere.util.Msg translate
WARNING: NOT found: PO Report

May 04, 2023 6:11:47 PM org.compiere.util.Msg translate
WARNING: NOT found: Consignment Customer Picklist
May 04, 2023 6:11:47 PM org.compiere.util.Msg translate
WARNING: NOT found: Bill Of Material

May 04, 2023 6:11:47 PM org.compiere.util. Msg translate
WARNING: NOT found: DisAssembling BOM

May 04, 2023 6:11:47 PM org.compiere.util.Msg translate
WARNING: NOT found: Update Inventory (DisAssemble)
May 04, 2023 6:11:47 PM org.compiere.util.Msg translate
WARNING: NOT found: Disassembly History

History

#1 - 05/04/2023 07:49 PM - Mithun Hariharan
- File Screenshot 2023-05-04 181914.png added

#2 - 05/04/2023 07:54 PM - Mithun Hariharan
PP1001283

#3 - 05/05/2023 07:19 PM - MUZAMMIL S

Backend Error:

java.lang.NullPointerException

at java.math.BigDecimal.add(BigDecimal.java:1291)

at org.posterita.businesslogic.ShipmentManager.createShipment(ShipmentManager.java:645)

at org.posterita.struts.pos.ShipmentAction.createOrCancelShipment(ShipmentAction.java: 1029)
at sun.reflect. GeneratedMethodAccessor4999.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorimpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.apache.struts.actions.DispatchAction.dispatchMethod(DispatchAction.java:276)

at org.apache.struts.actions.DispatchAction.execute(DispatchAction.java:196)

at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:421)
at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:226)

at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1164)

at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:415)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:661)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:742)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:231)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.displaytag.filter.ResponseOverrideFilter.doFilter(ResponseOverrideFilter.java: 125)
at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.posterita.struts.filter.RoleFilter.doFilter(RoleFilter.java:102)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:198)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96)

at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:493)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:81)

at org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:650)
at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)

at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:800)

at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66)

at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:806)

at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1498)

at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)

at java.util.concurrent. ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

at java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

at java.lang.Thread.run(Thread.java:748)
#4 - 05/05/2023 10:07 PM - Noufal K

- Assignee changed from Noufal K to Mohamed Suhail

#5 - 05/09/2023 06:02 AM - Mohamed Subhail
- Status changed from New to In Progress

- Assignee changed from Mohamed Suhail to Sahla T V

MUZAMMIL S wrote:
Backend Error:

java.lang.NullPointerException

at java.math.BigDecimal.add(BigDecimal.java:1291)

at org.posterita.businesslogic.ShipmentManager.createShipment(ShipmentManager.java:645)

at org.posterita.struts.pos.ShipmentAction.createOrCancelShipment(ShipmentAction.java:1029)

at sun.reflect. GeneratedMethodAccessor4999.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorimpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.apache.struts.actions.DispatchAction.dispatchMethod(DispatchAction.java:276)

at org.apache.struts.actions.DispatchAction.execute(DispatchAction.java:196)

at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:421)
at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:226)

at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1164)

at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:415)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:661)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:742)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:231)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.displaytag.filter.ResponseOverrideFilter.doFilter(ResponseOverrideFilter.java: 125)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.posterita.struts.filter.RoleFilter.doFilter(RoleFilter.java:102)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:198)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96)

at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:493)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:81)

at org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:650)
at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)

at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:800)

at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66)

at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:806)
at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1498)
at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)

at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

at java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)
at java.lang.Thread.run(Thread.java:748)
@sahla
Please check. You can take DB dump of Euro (it's there in India cloud server : /home1/isa/euro_5MAY23.cdmp ) and try shipment for the order:
PP1001284 , terminal: Party Point Terminal 1

What i have noticed is that the issue happens when the user completes and order with total discount, then later edited this order added a few more
lines and applied total discount again. But i am not able to replicate the issue, so please test with DB and check what actually is causing the issue.

#6 - 05/09/2023 10:46 AM - Sahla T V
- Assignee changed from Sahla T V to System Admins Team

- Priority changed from Normal to High

Please provide mentioned Euro DB dump
Mohamed Suhail wrote:
MUZAMMIL S wrote:
Backend Error:

java.lang.NullPointerException

at java.math.BigDecimal.add(BigDecimal.java:1291)

at org.posterita.businesslogic.ShipmentManager.createShipment(ShipmentManager.java:645)

at org.posterita.struts.pos.ShipmentAction.createOrCancelShipment(ShipmentAction.java:1029)
at sun.reflect. GeneratedMethodAccessor4999.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorimpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.apache.struts.actions.DispatchAction.dispatchMethod(DispatchAction.java:276)

at org.apache.struts.actions.DispatchAction.execute(DispatchAction.java:196)

at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:421)
at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:226)

at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1164)

at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:415)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:661)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:742)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:231)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.displaytag.filter.ResponseOverrideFilter.doFilter(ResponseOverrideFilter.java:125)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.posterita.struts.filter.RoleFilter.doFilter(RoleFilter.java:102)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:198)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96)

at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:493)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:81)

at org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:650)
at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)

at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:800)

at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66)

at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:806)

at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1498)

at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)

at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

at java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

at org.apache.tomcat.util.threads. TaskThread$WrappingRunnable.run(TaskThread.java:61)

at java.lang.Thread.run(Thread.java:748)
@sahla

Please check. You can take DB dump of Euro (it's there in India cloud server : /home1/isa/euro_5MAY23.cdmp ) and try shipment for the order:
PP1001284 , terminal: Party Point Terminal 1

What i have noticed is that the issue happens when the user completes and order with total discount, then later edited this order added a few

more lines and applied total discount again. But i am not able to replicate the issue, so please test with DB and check what actually is causing
the issue.

#7 - 05/09/2023 11:09 AM - Ahamed Danish

- Assignee changed from System Admins Team to Noufal K

Noufalka,

Please approve.

#8 - 05/10/2023 10:10 AM - Noufal K

- Assignee changed from Noufal K to System Admins Team

Please provide.

#9 - 05/10/2023 10:40 AM - Sharil Ali

- Assignee changed from System Admins Team to jidhin kp
Jidhin
Please do the needful.

#10 - 05/10/2023 11:11 AM - jidhin kp
Noted

#11 - 05/10/2023 01:18 PM - jidhin kp
- Assignee changed from jidhin kp to Sahla T V

Euro Database :

Link : https://dbdownloads.posibolt.com/euro_10MAY23.cdmp

user : dbdown
passwd: d3d@d0wn

#12 - 05/11/2023 07:44 PM - Sahla T V

The order mentioned in this ticket has been found voided.
Findings by analyzing the DB

1. Sales order has been created from quotation

2. New products were added while creating sales order which were not in quotation

So the issue can be replicated by creating a quotation for some products and create sales order from it by adding new products which are not in the
quotation.

#13 - 05/11/2023 09:10 PM - Mohamed Suhail
jidhin kp wrote:
Euro Database :

Link : https://dbdownloads.posibolt.com/euro_10MAY23.cdmp

user : dbdown
passwd: d3d@d0wn

This is 10th May DB dump. | have asked to take this dump (5th May) from /home1/isa/euro_5MAY23.cdmp (India cloud server)
https://dbdownloads.posibolt.com/euro_10MAY23.cdmp
https://dbdownloads.posibolt.com/euro_10MAY23.cdmp

#14 - 05/12/2023 10:19 AM - Sahla TV

Mohamed Suhail wrote:
jidhin kp wrote:
Euro Database :

Link : https://dbdownloads.posibolt.com/euro_10MAY23.cdmp

user : dodown
passwd: d3d@d0wn

This is 10th May DB dump. | have asked to take this dump (5th May) from /home1/isa/euro_5MAY23.cdmp (India cloud server)

No need to take the dump. Replicated the issue in 70 too as per the given test case in comment 12. Code can be checked and find the solution if

bugzilla ticket is raised

#15 - 05/12/2023 11:22 AM - Savad Ibrahim

- Assignee changed from Sahla T V to Anonymous

#16 - 05/12/2023 05:22 PM - Anonymous
- Status changed from In Progress to Bugzilla Created

- Assignee changed from Anonymous to Dev User

https://project.posibolt.com/show_bug.cgi?id=9608

#17 - 01/11/2024 05:33 PM - Rijas P

- Status changed from Bugzilla Created to Closed

#18 - 05/21/2024 04:05 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files
Screenshot 2023-05-04 181914.png 43.4 KB 05/04/2023 Mithun Hariharan
